Bug Hunting Session
Bug 117987 - Repeat Cell Highlighting Not Working Correctly
Summary: Repeat Cell Highlighting Not Working Correctly
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium minor
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:6.2.0 target:6.1.0.1 target:6.4.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Highlight-Color
  Show dependency treegraph
 
Reported: 2018-06-03 23:58 UTC by Joel Madero
Modified: 2019-06-14 09:10 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joel Madero 2018-06-03 23:58:11 UTC
Description:
If you highlight one cell (or a range of cells) and then select another cell (or range of cells) and try to highlight, it doesn't work the first time, you have to click the highlight button twice.

Steps to Reproduce:
1. Select A1
2. Highlight using the toolbar "Background color" button
3. Hit "Down" button (i.e., go to A2 with keyboard)
4. Click toolbar "Background color" button again

Actual Results:  
A2 does not highlight on the first time you push the "Background button" while A2 is selected. You have to push "Background color" a second time to apply the color.

Expected Results:
We'd expect A2 to be highlighted with one click of the "Background color" button.


Reproducible: Always


User Profile Reset: No



Additional Info:
Works in 6.0.4.2 as expected.


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/66.0.3359.170 Safari/537.36 OPR/53.0.2907.68
Comment 1 Joel Madero 2018-06-04 00:13:30 UTC
The problem goes well beyond just highlighting.

For example:
(1) Highlight as previously described (A1, then A2, then A3, then A4)
*actually highlight, meaning, repeat click "background button" until highlighting is applied, one cell at a time
(2) Try to undo

Observed:
I have to repeat undo twice for every cell to be changed back to no background.
Comment 2 Xisco Faulí 2018-06-04 08:43:54 UTC
Regression introduced by:

author	Daniel <danielfaleirosilva@gmail.com>	2018-03-24 00:13:26 -0300
committer	Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>	2018-03-28 08:57:51 +0200
commit	bdd7abf56676732f8ce4fd04bea5c72758f1ec3b (patch)
tree	0fa318b0f9a67a62055abda66b3301766140a17b
parent	1c1160967acf49cffae8921f3ab8361821bbaaaf (diff)
tdf#63438 Toggle highlight color to no fill if the same value is active

Bisected with: bibisect-linux64-6.1

Adding Cc: to Daniel
Comment 3 Xisco Faulí 2018-06-13 09:57:24 UTC Comment hidden (obsolete)
Comment 4 Commit Notification 2018-06-24 23:55:12 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2fd31c75b677b145cf56404348857e60befcabff

tdf#117987 tdf#118138 Compare with the currently used color

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-06-25 13:15:59 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=415368daf3047a6dfb2577822a72f65df7374df8&h=libreoffice-6-1

tdf#117987 tdf#118138 Compare with the currently used color

It will be available in 6.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2018-06-26 10:02:40 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: 2dac65c50481684863433d67999c0ecf81c67e6b
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

@Maxim Monastirsky, thanks for fixing this!!!
Comment 7 Commit Notification 2019-06-12 15:37:48 UTC
Artur Neumann committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/3d61113a803f3d99a52ca9acce06c5dc6cb38f35%5E%21

UI test for tdf#117987

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.